std::__detail::_StateSeq< _TraitsT >(3cxx)

NAME
std::__detail::_StateSeq< _TraitsT > - Describes a sequence of one or more _State, its current start and end(s). This structure contains fragments of an NFA during construction.

SYNOPSIS

#include <regex>

  Public Types

typedef _NFA< _TraitsT > _RegexT

  Public Member Functions

_StateSeq (_RegexT &__nfa, _StateIdT __s)
_StateSeq (_RegexT &__nfa, _StateIdT __s, _StateIdT __end)
void _M_append (_StateIdT __id)
void _M_append (const _StateSeq &__s)
_StateSeq _M_clone ()

  Public Attributes

_StateIdT _M_end
_RegexT & _M_nfa
_StateIdT _M_start

Detailed Description

  template<typename _TraitsT>
class std::__detail::_StateSeq< _TraitsT >"Describes a sequence of one or more _State, its current start and end(s). This structure contains fragments of an NFA during construction.

Author

Generated automatically by Doxygen for libstdc++ from the source code.